import request from '../../utils/request'

/**
 * 获取教务奖励列表
 * @param {JSON参数} data 
 */
export function GetTeachingRewardsList(data) {
  return request({
    url: '/TeachingRewards/GetTeachingRewardsList',
    method: 'post',
    data
  })
}

/**
 * 保存教务奖励列表
 * @param {JSON参数} data 
 */
export function SetTeachingRewardsInfo(data) {
    return request({
      url: '/TeachingRewards/SetTeachingRewardsInfo',
      method: 'post',
      data
    })
}
  
/**
 * 获取下拉数据
 * @param {JSON参数} data 
 */
export function GetTeachingRewardsBaseInfo(data) {
  return request({
    url: '/TeachingRewards/GetTeachingRewardsBaseInfo',
    method: 'post',
    data
  })
}

/**
 * 保存上面选择学校
 * @param {JSON参数} data 
 */
export function SetTeachingRewardsBase(data) {
  return request({
    url: '/TeachingRewards/SetTeachingRewardsBase',
    method: 'post',
    data
  })
}